precision highp float;
uniform sampler2D inputTexture;
varying vec2 textureCoordinate;

void main() {
    gl_FragColor = texture2D(inputTexture, textureCoordinate);
    if (gl_FragColor.r + gl_FragColor.g + gl_FragColor.b < 0.1) {
        gl_FragColor.a = 0.0;
    } else {
        gl_FragColor.a = 1.0;
    }
}