require "math"

function render(time)
    local inputTexture = getEntityById("InputTexture")
    local config = getEntityById("Config")

    local textScene = getEntityById("TextScene")
    textScene.setCanvasSize(config.outputWidth, config.outputHeight)
    textScene.setTime(time - config.startTime);

    if textAnimation ~= nil then
        textScene.resetSprites();
        return textAnimation(time)
    else
        textScene.setRenderMask(3)
        textScene.renderTo(inputTexture, config.outputWidth, config.outputHeight)

        return inputTexture
    end
end