function render(time)
    local config = getEntityById("Config")
    local inputTexture = getEntityById("InputTexture")
    local shaderPass0 = getEntityById("ShaderPass0")
    local faceRect = getEntityById("FaceRect")
    local x1 = faceRect.x
    local y1 = faceRect.y
    local x2 = faceRect.z
    local y2 = faceRect.w
    --local x1 = 100
    --local y1 = 150
    --local x2 = 420
    --local y2 = 450

    local material0 = shaderPass0.getMaterial()
    local mosaicSize = 10


	material0.setVec2("mosaicSize", (x2 - x1) / (mosaicSize *config.outputWidth), (y2 - y1) / (mosaicSize *config.outputHeight))
    material0.setVec2("minCorner", x1 / config.outputWidth, 1 - y2 / config.outputHeight)
    material0.setVec2("maxCorner", x2 / config.outputWidth, 1 - y1 / config.outputHeight)

    shaderPass0.setOutputTextureSize(config.outputWidth, config.outputHeight)

    shaderPass0.setInputTexture("inputTexture", inputTexture)


    shaderPass0.render()

    return shaderPass0.getOutputTexture()
end