function render(time)
    local config = getEntityById("Config")
    local inputTexture = getEntityById("InputTexture")

    local shaderPass0 = getEntityById("ShaderPass0")

    local material0 = shaderPass0.getMaterial()


	local progress = (time - config.startTime) / (config.endTime - config.startTime)

    material0.setFloat("progress",progress)

    shaderPass0.setOutputTextureSize(config.outputWidth, config.outputHeight)

    shaderPass0.setInputTexture("from", inputTexture)

    shaderPass0.render()

    return shaderPass0.getOutputTexture()
end