function render(time)
    local inputTexture = getEntityById("InputTexture")
	local maskTexture = getEntityById("MaskTexture")
    local shaderPass0 = getEntityById("ShaderPass0")
	local config = getEntityById("Config")
	local maskWidth = getEntityById("MaskWidth")
	local maskHeight = getEntityById("MaskHeight")

	if maskTexture == nil then
		return inputTexture
	end

    local material0 = shaderPass0.getMaterial()
    material0.setVec2("maskSize", maskWidth, maskHeight)

    shaderPass0.setOutputTextureSize(config.outputWidth, config.outputHeight)
	shaderPass0.setInputTexture("maskTexture",  maskTexture)
    shaderPass0.setInputTexture("inputTexture", inputTexture)
    shaderPass0.render()

    return shaderPass0.getOutputTexture()
end